> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent receipt

> Retrieve a receipt in the authenticated workspace.

Retrieve a receipt in the authenticated workspace.

Use a workspace API key or bearer token. Encode the complete `maip-receipt:` identifier as one URL path segment.


## OpenAPI

````yaml maip-openapi.yaml GET /v1/agent-receipts/{receiptID}
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Production
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/agent-receipts/{receiptID}:
    get:
      summary: Get agent receipt
      description: Retrieve a receipt in the authenticated workspace.
      operationId: maipAgentReceiptGet
      parameters:
        - name: receiptID
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  receipt_id:
                    type: string
                  agent_id:
                    type: string
                  version:
                    type: string
                  status:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  signature:
                    type: string
                  signing_envelope:
                    type: object
                    properties:
                      version:
                        type: string
                      key_id:
                        type: string
                      algorithm:
                        type: string
                      payload:
                        type: string
                  metadata:
                    type: object
                    additionalProperties: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.